Bug 1030792 - Unable to install fedora package database
Unable to install fedora package database
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: packagedb-cli (Show other bugs)
18
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 02:13 EST by Mohammad
Modified: 2013-11-17 03:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-17 02:50:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammad 2013-11-15 02:13:52 EST
Description of problem:

I am currently working on a project to port fedpkg to pidora. We have set up a gitserver already, the second was to set the fedora package database modify it to contain pidora packages. However, I am having issues install fedora package database.

 - Downloaded the package from https://fedorahosted.org/releases/p/a/packagedb
It comes with a README file, I was trying to follow it along but having issues where it says set up the cron jobs.
For example it says set this up as a cron job "server-scripts/pkgdb-sync-yum update"

first, the script's name is "pkgdb-sync-yum.in", so i renamed it to "pkgdb-syn-yum" then i tried to run it with "update" option and this is what I get:

Traceback (most recent call last):
  File "./pkgdb-sync-yum", line 51, in <module>
    import pkg_resources
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2655, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 648, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 546, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: fedora-packagedb

I ignored this, as this has to do with database update and moved on to set up the webserver, I do as I am asked in the README file, but I get a 403 forbidden when I try to access the page with "/pkgdb" Alias.

Can I get some help please?

Version-Release number of selected component (if applicable):
0.6.0

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Pierre-YvesChibon 2013-11-15 03:10:45 EST
You are reporting a problem about packagedb to the component packagedb-cli which are two different things.

I would encourage you to report your isse to the actual packagedb project:
https://fedorahosted.org/packagedb or https://github.com/fedora-infra/packagedb

Note that we also have a new(er) version of packagedb in progress:
https://github.com/fedora-infra/packagedb2
Comment 2 Mohammad 2013-11-16 20:20:08 EST
Thank you. I did not know I could report the problem there and I did not find packagedb in the packages here that is why I put it in the packagedb-cli category.
Comment 3 Pierre-YvesChibon 2013-11-17 02:50:50 EST
No problem.

But again, I would encourage you to have a look at packagedb2, newer version, newer framework, newer UI and this is the road forward for us, I am not sure we will maintain packagedb for long now.

Closing this bug and looking forward to see you on the packagedb{,2} projects :)
Comment 4 Mohammad 2013-11-17 03:03:31 EST
Right now I am just trying to get it to work, if it fails or takes me a lot of time to figure out, then I probably would resort to packagedb2. The main goal is to actually get fedpkg to work on pidora for pidora packages, this was one step. Thanks to you, I am now communicating with the package maintainer on github.

Note You need to log in before you can comment on or make changes to this bug.